QGIS Application - Bug report #11837
FILTER parameter not working
2014-12-10 05:09 AM - Bernhard Strébl

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category: QGIS Server

Affected QGIS version:2.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20055
Description

The FILTER parameter has no effect on the features returned by the WMS GetMap request.
Affected are at least versions 2.6.1.1 and master.
Tested on Linux but | assume any platform is affected.

History

#1 - 2014-12-10 09:56 AM - Giovanni Manghi
- Status changed from Open to Feedback

this was an issue in previous qgis server releases?

#2 - 2014-12-10 11:17 PM - Bernhard Strobl
No it used to work (if | recall correctly) in 2.6.0

The FILTER parameter is a feature that has been introduced in QGIS server long ago (not sure if it was available in the 1.* releases, though). Marco will

know.

#3 - 2014-12-11 12:49 AM - Giovanni Manghi
- Operating System deleted (any)
- Priority changed from High to Severe/Regression

- Status changed from Feedback to Open

then I'll tag this as blocker.

#4 - 2015-02-12 08:42 AM - René-Luc ReLuc

Does this issue is linked to #12090?
Does the commit 27bf440eace80c4{56c0f191706dfe1b046bcc96, Server: fix loading of dependent layers when using the getFeature() function?

#5 - 2015-02-13 04:27 AM - Bernhard Strobl

Hmm,
seems to be fixed, Filter is working as expected. Shall we close this ticket now?
#6 - 2015-02-13 08:36 AM - Jiirgen Fischer
- Status changed from Open to Closed
- Resolution set to fixed/implemented

If it's fixed - we should close it.
